Subject: Re: [Sipping] draft-ietf-sipping-udate-pai-00 - open issue 1

From: "Elwell, John" <[email-masked]>
Date: Sun, 09 Mar 2008 23:37:56 +0000

Gonzalo,

I don't think I ever responded to this, but I think this has a bearing
on open issue 4, which is the question of whether we need to mandate
precisely how a UAS is authenticated.

The existing applicability statement in RFC 3325 section 1 includes the
statement: "The means by which the network determines the identity to
assert is outside the scope of this document (though it commonly entails
some form of authentication)."

If we make the decision that this statement still holds, then I would
see no need to be precise about the way a proxy that asserts identity in
a response authenticates the UAS. On the other hand, if we decide that
the statement does not hold, then we could be precise about the means of
authenticating the UAC (requests) and the UAS (responses). I see no
particular need to be more precise. Therefore I propose that:

a) for open issue 4, we do not mandate the precise means of
authenticating the UAS; and
b) we explicitly say that the applicability statement in RFC 3325 still
stands.

John

> -----Original Message-----
> From: Gonzalo Camarillo [mailto:[email-masked]] 
> Sent: 16 February 2008 10:18
> To: Jonathan Rosenberg
> Cc: Paul Kyzivat; [email-masked]; Elwell, John
> Subject: Re: [Sipping] draft-ietf-sipping-udate-pai-00 - open issue 1
> 
> Hi,
> 
> it would be good to have explicit text in the draft saying 
> whether the 
> applicability statement in RFC 3325 still holds or the draft 
> updates it 
> somehow.
> 
> Cheers,
> 
> Gonzalo
> 
> Jonathan Rosenberg wrote:
> > I think I made that original comment so I certainly agree.
> > 
> > I think the original RFC3325 wording here was based on the 
> architectural 
> > model of IMS where this is not needed, rather than the more 
> general SIP 
> > proxy usage we have here.
> > 
> > -Jonathan R.
> > 
> > Paul Kyzivat wrote:
> >> IMO this is perfectly reasonable usage. Imposing 
> restrictions here is 
> >> overreaching on the part of the proxy. It ought to be in 
> the business of 
> >> routing and figuring out the authentication. The registrar 
> should be in 
> >> the business of deciding whether to honor the PAI.
> >>
> >> 	Paul
> >>
> >> Elwell, John wrote:
> >>> A comment I received on the previous draft
> >>> (draft-elwell-sipping-update-pai-02) was whether to allow
> >>> P-Asserted-Identity in a REGISTER request, between an 
> edge proxy that
> >>> authenticates the UA and a registrar.
> >>>
> >>> Any opinions?
> >>>
> >>> Depending on the answer, a secondary consideration is whether
> >>> P-Preferred-Identity is applicable on the first hop of a REGISTER
> >>> request.
> >>>
> >>> John
> >>> _______________________________________________
> >>> Sipping mailing list  http://www.ietf.org/mailman/listinfo/sipping
> >>> This list is for NEW development of the application of SIP
> >>> Use [email-masked] for questions on current sip
> >>> Use [email-masked] for new developments of core SIP
> >>>
> >> _______________________________________________
> >> Sipping mailing list  http://www.ietf.org/mailman/listinfo/sipping
> >> This list is for NEW development of the application of SIP
> >> Use [email-masked] for questions on current sip
> >> Use [email-masked] for new developments of core SIP
> >>
> > 
> 
> 
_______________________________________________
Sipping mailing list  https://www.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP